# NSURL-Social-Links

A small iOS utility for promoting your app (gifting, rate &amp; review, open facebook or twitter page, etc.)

This is a simple Obj-C category on NSURL.

## About

* Open Facebook to page or profile
	* Launches the FB app if installed, safari otherwise
	* Better performance if you know the exact id for the profile or page 
	* If you don't provide the id, this method parses JSON from the FB graph API: `http://graph.facebook.com/<username>`
	* Probably shouldn't call this on the main thread if you'll be parsing JSON
* Open Twitter to profile
	* Launches app if installed, safari otherwise
* Launch App Store to "Gift this App" for your app
* Launch App Store to "Rate and Review" for your app
* Open your support site in Safari

## Installation
		
* Drag the `NSURL+SocialLinks/` folder to your project.
* `#import "NSURL+SocialLinks.h"`
* Demo project included: `SocialLinksDemo.xcodeproj`

## [MIT License](http://opensource.org/licenses/MIT)

You are free to use this as you please. No attribution necessary. **However, a link back to [Hexed Bits](http://www.hexedbits.com) or here would be appreciated. If you use this, please tell me about it!**

Copyright &copy; 2013 Jesse Squires

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
